Subject: bug#44636: Misleading documentation

From: Robert Menteer <[email-masked]>
Date: Sat, 14 Nov 2020 11:14:13 -0500

In section 4.2.2 of the info manual for DejaGnu it suggests to create a subdirectory config then create a tool init file in it. If I copy the unix.exp example to /…/testsuite/config/tool.exp runtool does not appear to read it. Looking around the web I found a mention of placing the init file in /…/testsuite/lib/. This does seem to work as I get the following output:

Using ./lib/FlDist.exp as tool init file.

Another problem with the example init file in that same section is the expect statement:

global ${examplename}

This causes the following error:

ERROR: tcl error sourcing tool init file ./lib/FlDist.exp.
can't read "examplename": no such variable

The problem with the documentation is not that it uses examplename in it’s example but there is nothing explaining how to modify examplename to fit the tool. This is in contrast to naming files which is explained in the manual.

Thanks,
Bob Menteer